PSLAMCH(l)

NAME
PSLAMCH - determine single precision machine parameters

SYNOPSIS

REAL FUNCTION
    PSLAMCH( ICTXT, CMACH )

CHARACTER
    CMACH

INTEGER
    ICTXT

PURPOSE
PSLAMCH determines single precision machine parameters.

ARGUMENTS

ICTXT   (global input) INTEGER
    The BLACS context handle in which the computation takes place.

CMACH   (global input) CHARACTER*1
    Specifies the value to be returned by PSLAMCH:
    = 'E' or 'e', PSLAMCH := eps
    = 'S' or 's , PSLAMCH := sfmin
    = 'B' or 'b', PSLAMCH := base
    = 'P' or 'p', PSLAMCH := eps*base
    = 'N' or 'n', PSLAMCH := t
    = 'R' or 'r', PSLAMCH := rnd
    = 'M' or 'm', PSLAMCH := emin
    = 'U' or 'u', PSLAMCH := rmin
    = 'L' or 'l', PSLAMCH := emax
    = 'O' or 'o', PSLAMCH := rmax

    where

eps   = relative machine precision
    sfmin = safe minimum, such that 1/sfmin does not overflow base = base of the machine prec = eps*base t = number of (base) digits in the mantissa rnd = 1.0 when rounding occurs in addition, 0.0 otherwise emin = minimum exponent before (gradual) underflow rmin = underflow threshold - base**(emin-1) emax = largest exponent before overflow rmax = overflow threshold - (base**emax)*(1-eps)